## python-workalendar 17.0.0

=== Makefile ===
TEST_ARGS ?=
TEST_ENVS ?=
TEST_REBUILD ?= yes

# target: help - Display callable targets.
.PHONY: help
help:
	@echo "Reference card for usual actions in development environment."
	@echo "Here are available targets:"
	@egrep -o "^# target: (.+)" [Mm]akefile  | sed 's/# target: / * /'

# target: install - Install workalendar in your current env
.PHONY: install
install:
	pip install -e ./


# target: tox_install - Install tox in your current env
.PHONY: tox_install
tox_install:
	pip install tox --upgrade

# target: test - run tox tests.
# target:        Use TEST_ENVS and TEST_ARGS to target your tests more precisely.
# target:        WARNING: tox should be installed in your current env.
# shall we rebuild the env or not?
ifeq (${TEST_REBUILD},"yes")
TOX_COMMAND=tox -r
else
TOX_COMMAND=tox
endif
.PHONY: test
test:
ifneq (${TEST_ENVS},)
	${TOX_COMMAND} -e ${TEST_ENVS}  -- ${TEST_ARGS}
else
	${TOX_COMMAND}  -- ${TEST_ARGS}
endif

# target: package - build packages for further upload
.PHONY: package
package:
	rm -Rf build/
	python setup.py sdist bdist_wheel

## python-workalendar 16.3.0

=== debian/changelog ===
python-workalendar (16.3.0-1) unstable; urgency=low

  * Initial release (Closes: #1012745).

 -- Michael Fladischer <fladi@debian.org>  Mon, 13 Jun 2022 10:48:38 +0000

=== debian/control ===
Source: python-workalendar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-convertdate,
 python3-dateutil,
 python3-freezegun,
 python3-lunardate,
 python3-pandas,
 python3-pyluach,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://github.com/workalendar/workalendar
Vcs-Git: https://salsa.debian.org/python-team/packages/workalendar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/workalendar
Rules-Requires-Root: no

Package: python3-workalendar
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-workalendar-doc,
Description: Worldwide holidays and working days helper and toolkit (Python3 version)
 Workalendar is a Python module that offers classes able to handle calendars,
 list legal / religious holidays and gives working-day-related computation
 functions.
 .
 This library is ready for production, although some calendars may not be
 up-to-date, and this library doesn’t cover all the existing countries on earth.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-workalendar-$1/ \
https://github.com/workalendar/workalendar/releases \
/workalendar/workalendar/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-workalendar 16.4.0

=== debian/changelog ===
python-workalendar (16.4.0-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Sep 2022 21:32:19 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pyluach,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/workalendar/workalendar
 Vcs-Git: https://salsa.debian.org/python-team/packages/workalendar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/workalendar

## python-workalendar 17.0.0

=== debian/changelog ===
python-workalendar (17.0.0-1) unstable; urgency=low

  * New upstream release.
  * Fix repository URLs.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Thu, 05 Jan 2023 20:50:16 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  python3-setuptools,
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/workalendar/workalendar
-Vcs-Git: https://salsa.debian.org/python-team/packages/workalendar.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/workalendar
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-workalendar.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-workalendar
 Rules-Requires-Root: no
 
 Package: python3-workalendar

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=workalendar
export PYBUILD_TEST_ARGS=--ignore=workalendar/tests/test_skyfield_astronomy.py -k "not test_create_astronomical_data"

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-workalendar-$1/ \
https://github.com/workalendar/workalendar/tags \
/workalendar/workalendar/archive/refs/tags/([\d\.]+)\.tar\.gz
